Переполнение буфера в openwsman

Дата публикации:
18.08.2008
Дата изменения:
22.09.2008
Всего просмотров:
2078
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
openwsman 1.x
openwsman 2.x
Уязвимые версии: openwsman версии 1.x, 2.x

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при декодировании заголовков HTTP basic аутентификации. Удаленный пользователь может с помощью специально сформированного HTTP запроса вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: openwsman.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: SUSE Security Announcement: openwsman (SUSE-SA:2008:041)

или введите имя

CAPTCHA